This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 886685 - grub2 fails to boot when /boot partition is lvm on multipath device
grub2 fails to boot when /boot partition is lvm on multipath device
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
18
ppc64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
RejectedNTH
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-12 16:22 EST by Gustavo Luiz Duarte
Modified: 2013-01-11 20:22 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-11 20:22:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
This patch adds the bootpath to the device list (1.60 KB, patch)
2012-12-14 13:24 EST, Paulo Flabiano Smorigo
no flags Details | Diff

  None (edit)
Description Gustavo Luiz Duarte 2012-12-12 16:22:35 EST
Description of problem:
I installed Fedora 18 on a ppc64 machine with a multipath disk. After install I was dropped into grub rescue prompt.

physical partitions:
prep
/home
swap

logical volumes:
/boot
/

Install media: http://ppc.koji.fedoraproject.org/stage/f18-20121211.n/

grub rescue> set
prefix=(lvm/fedora_tripaseca--12-boot)/grub2
root=lvm/fedora_tripaseca--12-boot

grub rescue> ls
(ieee1275//vdevice/v-scsi@30000002/disk@8200000000000000) (ieee1275//vdevice/v-s
csi@30000002/disk@8200000000000000,msdos1) (ieee1275//vdevice/v-scsi@30000002/di
sk@8300000000000000) (ieee1275//vdevice/v-scsi@30000002/disk@8300000000000000,ms
dos1) 


grub rescue> ls -l
error: disk `lvm/fedora_tripaseca--12-boot' not found.


grub rescue> set debug=all
grub rescue> ls -l
kern/disk.c:230: Opening `lvm/fedora_tripaseca--12-boot'...
kern/ieee1275/openfw.c:156: devalias name = name
kern/ieee1275/openfw.c:156: devalias name = ibm,sp
kern/ieee1275/openfw.c:156: devalias name = network
kern/ieee1275/openfw.c:156: devalias name = net
kern/ieee1275/openfw.c:156: devalias name = scsi
kern/ieee1275/openfw.c:156: devalias name = nvram
kern/ieee1275/openfw.c:156: devalias name = rtc
disk/ieee1275/ofdisk.c:126: disk name = /vdevice/v-scsi@30000002/disk@8300000000
000000, path = /vdevice/v-scsi@30000002/disk@8300000000000000
disk/ieee1275/ofdisk.c:126: disk name = /vdevice/v-scsi@30000002/disk@8200000000
000000, path = /vdevice/v-scsi@30000002/disk@8200000000000000
kern/disk.c:230: Opening `ieee1275//vdevice/v-scsi@30000002/disk@820000000000000
0'...
disk/ieee1275/ofdisk.c:330: Opening `/vdevice/v-scsi@30000002/disk@8200000000000
000'.
disk/diskfilter.c:135: Scanning for DISKFILTER devices on disk ieee1275//vdevice
/v-scsi@30000002/disk@8200000000000000
partmap/msdos.c:181: partition 0: flag 0x80, type 0x96, start 0x0, len 0x6025ac
disk/diskfilter.c:135: Scanning for DISKFILTER devices on disk ieee1275//vdevice
/v-scsi@30000002/disk@8200000000000000
partmap/msdos.c:181: partition 1: flag 0x0, type 0x0, start 0x0, len 0x0
partmap/msdos.c:181: partition 2: flag 0x0, type 0x0, start 0x0, len 0x0
partmap/msdos.c:181: partition 3: flag 0x0, type 0x0, start 0x0, len 0x0
kern/disk.c:326: Closing `ieee1275//vdevice/v-scsi@30000002/disk@820000000000000
0'.
kern/disk.c:230: Opening `ieee1275//vdevice/v-scsi@30000002/disk@830000000000000
0'...
disk/ieee1275/ofdisk.c:330: Opening `/vdevice/v-scsi@30000002/disk@8300000000000
000'.
disk/diskfilter.c:135: Scanning for DISKFILTER devices on disk ieee1275//vdevice
/v-scsi@30000002/disk@8300000000000000
partmap/msdos.c:181: partition 0: flag 0x80, type 0x96, start 0x0, len 0x7c300
disk/diskfilter.c:135: Scanning for DISKFILTER devices on disk ieee1275//vdevice
/v-scsi@30000002/disk@8300000000000000
partmap/msdos.c:181: partition 1: flag 0x0, type 0x0, start 0x0, len 0x0
partmap/msdos.c:181: partition 2: flag 0x0, type 0x0, start 0x0, len 0x0
partmap/msdos.c:181: partition 3: flag 0x0, type 0x0, start 0x0, len 0x0
kern/disk.c:326: Closing `ieee1275//vdevice/v-scsi@30000002/disk@830000000000000
0'.
kern/disk.c:312: Opening `lvm/fedora_tripaseca--12-boot' failed.
kern/disk.c:326: Closing `lvm/fedora_tripaseca--12-boot'.
error: disk `lvm/fedora_tripaseca--12-boot' not found.
Comment 1 Paulo Flabiano Smorigo 2012-12-13 07:32:58 EST
GRUB didn't added the booted device in the device list. I managed to add it (using ls with the device path) and boot:

Welcome to GRUB!
                
error: disk `lvm/fedora_tripaseca--12-boot' not found.
Entering rescue mode...                               
grub rescue> ls /      
grub rescue> 
grub rescue> 
error: disk `lvm/fedora_tripaseca--12-boot' not found.
grub rescue> ls                                       
(ieee1275//vdevice/v-scsi@30000002/disk@8200000000000000) (ieee1275//vdevice/v-s
csi@30000002/disk@8200000000000000,msdos1) (ieee1275//vdevice/v-scsi@30000002/di
sk@8300000000000000) (ieee1275//vdevice/v-scsi@30000002/disk@8300000000000000,ms
dos1) 
grub rescue> 
grub rescue> ls (ieee1275//vdevice/vfc-client@30000005/disk@20340080e52e9d74)/
error: unknown filesystem.                                                    
grub rescue> 
grub rescue> ls /         
./ ../ lost+found/ grub2/ initrd-plymouth.img .vmlinuz-3.6.9-4.fc18.ppc64p7.hmac
 System.map-3.6.9-4.fc18.ppc64p7 config-3.6.9-4.fc18.ppc64p7 vmlinuz-3.6.9-4.fc1
8.ppc64p7 initramfs-3.6.9-4.fc18.ppc64p7.img 
grub rescue> 
grub rescue> ls                              
(lvm/fedora_tripaseca--12-boot) (lvm/fedora_tripaseca--12-root) (ieee1275//vdevi
ce/vfc-client@30000005/disk@20340080e52e9d74) (ieee1275//vdevice/vfc-client@3000
0005/disk@20340080e52e9d74,msdos5) (ieee1275//vdevice/vfc-client@30000005/disk@2
0340080e52e9d74,msdos3) (ieee1275//vdevice/vfc-client@30000005/disk@20340080e52e
9d74,msdos2) (ieee1275//vdevice/vfc-client@30000005/disk@20340080e52e9d74,msdos1
) (ieee1275//vdevice/v-scsi@30000002/disk@8200000000000000) (ieee1275//vdevice/v
-scsi@30000002/disk@8200000000000000,msdos1) (ieee1275//vdevice/v-scsi@30000002/
disk@8300000000000000) (ieee1275//vdevice/v-scsi@30000002/disk@8300000000000000,
msdos1) 
grub rescue> 
grub rescue> insmod normal
grub rescue> normal

                             GNU GRUB  version 2.00
                                                   
 +--------------------------------------------------------------------------+
 |Fedora                                                                    | 
 |Advanced options for Fedora                                               |
...
Comment 2 Paulo Flabiano Smorigo 2012-12-14 13:24:43 EST
Created attachment 663725 [details]
This patch adds the bootpath to the device list
Comment 3 Fedora Update System 2012-12-20 14:20:32 EST
grub2-2.00-15.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/grub2-2.00-15.fc18
Comment 4 Fedora Update System 2012-12-20 20:33:48 EST
Package grub2-2.00-15.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing grub2-2.00-15.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20739/grub2-2.00-15.fc18
then log in and leave karma (feedback).
Comment 5 Adam Williamson 2013-01-07 13:48:37 EST
Discussed at 2013-01-07 QA meeting acting as an NTH review meeting: http://meetbot.fedoraproject.org/fedora-meeting/2013-01-07/fedora-qa.2013-01-07-16.01.log.txt .

As we understand it, this bug only hits when the following factors are in place:

* OpenFirmware-based system
* /boot on LVM on multipath storage device

That seems like too rare a combination to block release. In particular, in practice, OpenFirmware is almost never used on machines based on our primary architectures: this is effectively a ppc64 bug. ppc64 is a secondary arch and isn't committed to the package set frozen for primary arch release, we could pull the fixed grub2 into the ppc64 secondary arch release without pulling it into the PA releases. On that basis, this is rejected as NTH.
Comment 6 Fedora Update System 2013-01-11 20:22:21 EST
grub2-2.00-15.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.